//+------------------------------------------------------------------+
//|                                          Gen.mq4 |
//|                Gen - MT3 by Vodoley ( Vodoley@yahoo.com ) |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Gen - MT3 by Vodoley ( Vodoley@yahoo.com )"
#property link      ""

#property indicator_chart_window
//---- input parameters
extern int Pfast=5;
extern int Pslow=8;
extern double K_RangeOpen=1.4;
extern int timeFrame=0;
extern string UniqueID="Gen1";
extern color  HiColor2 = Silver;
extern color  LoColor2 = Silver;
extern color  Bar1Color= Red;
extern color  BarFastColor = Blue;
extern color  BarSlowColor = Lime;
double hi2,lo2,Range;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   if(timeFrame!=0)
      if(timeFrame<Period()) timeFrame=Period();
//---- Object
   ObjectCreate(UniqueID+"hi2",OBJ_HLINE,0,0,0,0,0,0,0); ObjectSet(UniqueID+"hi2",OBJPROP_COLOR,HiColor2); ObjectSet(UniqueID+"hi2",OBJPROP_STYLE,STYLE_DASH);
   ObjectCreate(UniqueID+"lo2",OBJ_HLINE,0,0,0,0,0,0,0); ObjectSet(UniqueID+"lo2",OBJPROP_COLOR,LoColor2); ObjectSet(UniqueID+"lo2",OBJPROP_STYLE,STYLE_DASH);

   ObjectCreate(UniqueID+"Bar#1",OBJ_VLINE,0,0,0,0,0,0,0); ObjectSet(UniqueID+"Bar#1",OBJPROP_COLOR,Bar1Color);    ObjectSet(UniqueID+"Bar#1",OBJPROP_STYLE,STYLE_DOT);
   ObjectCreate(UniqueID+"Bar#Pfast",OBJ_VLINE,0,0,0,0,0,0,0); ObjectSet(UniqueID+"Bar#Pfast",OBJPROP_COLOR,BarFastColor); ObjectSet(UniqueID+"Bar#Pfast",OBJPROP_STYLE,STYLE_DOT);
   ObjectCreate(UniqueID+"Bar#Pslow",OBJ_VLINE,0,0,0,0,0,0,0); ObjectSet(UniqueID+"Bar#Pslow",OBJPROP_COLOR,BarSlowColor);         ObjectSet(UniqueID+"Bar#Pslow",OBJPROP_STYLE,STYLE_DOT);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   ObjectDelete(UniqueID+"hi2"); ObjectDelete(UniqueID+"lo2");
   ObjectDelete(UniqueID+"Bar#1"); ObjectDelete(UniqueID+"Bar#Pfast"); ObjectDelete(UniqueID+"Bar#Pslow");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//---- 
   hi2=iHigh(NULL,timeFrame,iHighest(Symbol(),timeFrame,MODE_HIGH,Pslow,1));
   lo2=iLow(NULL,timeFrame,iLowest(Symbol(),timeFrame,MODE_LOW,Pslow,1));
//---- horizontal lines
   ObjectMove(UniqueID+"hi2",0,iTime(NULL,timeFrame,Pslow-1),hi2);
   ObjectMove(UniqueID+"lo2",0,iTime(NULL,timeFrame,Pslow-1),lo2);

     {

     }

   ObjectsRedraw();

   return(0);
  }
//+------------------------------------------------------------------+
